﻿// JScript File

function UpdatePowerlineStatus()
{
    if(System.Machine.PowerStatus.isPowerLineConnected)
    {
        BatteryImage.src = "images/BatteryPlugged.png";
        if(System.Machine.PowerStatus.batteryPercentRemaining == 100 && !System.Machine.PowerStatus.isBatteryCharging)
        {
            PowerLineConnected.innerText = lngFullyCharged;
            ACPower.innerText = lngYes;
        }
        else
        {
            PowerLineConnected.innerText = lngPluggedInn;
            ACPower.innerText = lngYes;
        }
    }
    else
    {
        BatteryImage.src = "images/BatteryUnplugged.png";
        PowerLineConnected.innerText = lngUnPlugged;
        ACPower.innerText = lngNo;
    }
}

function UpdatePercentage()
{
    PercentRemaining.innerText = System.Machine.PowerStatus.batteryPercentRemaining + "%";
    UndockedPercentRemaining.innerText = System.Machine.PowerStatus.batteryPercentRemaining + "%";
    UndockedPercentRemaining.innerText = System.Machine.PowerStatus.batteryPercentRemaining + "%";
    SetBatteryPercentage(System.Machine.PowerStatus.batteryPercentRemaining);
}

function UpdateChargingStatus()
{
    if(System.Machine.PowerStatus.isBatteryCharging)
    {
        Charging.innerText = lngCharging;
        BatteryCharging.innerText = lngUDCharging;
    }
    else
    {
        if(System.Machine.PowerStatus.batteryPercentRemaining == 100)
        {
            Charging.innerText = "";
            BatteryCharging.innerText = lngUDNotCharging;
        }
        else
        {
            BatteryCharging.innerText = lngUDNotCharging;
            Charging.innerText = lngNotCharging;
        }
    }
}

function UpdateCapacityRemaining()
{
    if(!System.Machine.PowerStatus.isPowerLineConnected)
    {
        var d = new Date();
        d.setTime(System.Machine.PowerStatus.batteryCapacityRemaining * 1000);
        CapacityRemaining.innerText = d.toLocaleTimeString();
        UndockedCapacityRemaining.innerText = d.toLocaleTimeString();
    }
    else
    {
        CapacityRemaining.innerText = "";
        UndockedCapacityRemaining.innerText = N/A
    }
}

function UpdateBatteryStatus()
{
    switch (System.Machine.PowerStatus.batteryStatus)
    {
        case 0:
            BatteryStatus.innerText = lngBatteryStatus_Medium;
            break;
        case 1:
            BatteryStatus.innerText = lngBatteryStatus_High;
            break;
        case 2:
            BatteryStatus.innerText = lngBatteryStatus_Low;
            break;
        case 4:
            BatteryStatus.innerText = lngBatteryStatus_Critical;
            break;
        case 8:
            BatteryStatus.innerText = lngBatteryStatus_Charging;
            break;
        case 128:
            BatteryStatus.innerText = lngBatteryStatus_NoBattery;
            break;
        default:
            BatteryStatus.innerText = lngBatteryStatus_Unknown;
            break;
       
    }
}
function UpdateCapacityTotal()
{
    var d = new Date();
    d.setTime(System.Machine.PowerStatus.batteryCapacityTotal * 1000);
  
	if(System.Machine.PowerStatus.isPowerLineConnected)
  	{
	UndockedCapacityTotal.innerText = "N/A"
	}
	else
	{
	UndockedCapacityTotal.innerText = d.toLocaleTimeString();
	}
}

function SetBatteryPercentage(percentage)
{
    UndockedPercentageImage.style.width = Math.round((163/100)*percentage);
}